<?php
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Ángel García
 *  @copyright 2017-2018 Tendencys
 *  @license   LICENSE.txt
 */

if (!defined('_PS_VERSION_')) {
    exit;
}
class EnviaPaqueteriaModule extends Module
{


    public function __construct()
    {
          $this->name = 'enviapaqueteriamodule';
          $this->tab = 'shipping_logistics';
          $this->version = '1.0.0';
          $this->author = 'Tendencys';
          $this->need_instance = 0;
          $this->ps_versions_compliancy = array('min' => '1.6', 'max' => _PS_VERSION_);
          $this->bootstrap = true;
          $this->module_key = '6a497d1c8866d111b3864c03a99b2e0e';
          parent::__construct();
          $this->displayName = $this->l('Envia Paqueteria, Fedex, RedPack, Paquete Express, DHL');
          $this->description = $this->l('Connect your prestashop store with our package platform');
          $this->confirmUninstall = $this->l('¿Are you sure to delete this module?');
        if (!Configuration::get('MYMODULE_NAME')) {
            $this->warning = $this->l('No name provided');
        }
    }
    public function install()
    {
        if (Shop::isFeatureActive()) {
            Shop::setContext(Shop::CONTEXT_ALL);
        }
        return parent::install() &&
        $this->registerHook('adminOrder') &&
        $this->registerHook('header') &&
        Configuration::updateValue('MYMODULE_NAME', 'my friend');
    }
    public function hookdisplayAdminOrder($params)
    {
        $id_order = (int)$params['id_order'];
        $url = _PS_BASE_URL_.__PS_BASE_URI__;
        $url = str_replace(array('http://','https://'), '', $url);
        $this->context->smarty->assign(array(
        'id_order' => $id_order,
        'url'=>$url,
        ));
        return $this->display(__FILE__, 'adminorder.tpl');
    }
    public function hookDisplayHeader()
    {
        $this->context->controller->addCSS($this->_path.'views/css/enviapaqueteria.css', 'all');
    }
}
